/*
 * SubcadenaArchivoDiferenteValorCampo.java
 *
 * Created on 21 de marzo de 2007, 12:35 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

/**
 *
 * @author Julian
 */
public class SubcadenaArchivoDiferenteValorCampo extends AbstractRule {

    /**
     * Creates a new instance of SubcadenaArchivoDiferenteValorCampo
     */
    public SubcadenaArchivoDiferenteValorCampo() {
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        // System.out.println(nombreArchivo.substring(new Integer((String)
        // getParams()[0]).intValue()-1, new Integer((String)
        // getParams()[0]).intValue()+new Integer((String)
        // getParams()[1]).intValue()-1));
        Integer valor1 = new Integer((String) getParams()[0]).intValue();
        Integer valor2 = new Integer((String) getParams()[1]).intValue();

        String cadena = nombreArchivo.substring(valor1.intValue() - 1, valor1.intValue() + valor2 - 1);

        if (  !"MSPS01".equals(cadena) && !"000".equals(cadena))
        {
            try {
                if (!field.equals(cadena) ) {
                    return true;
                }
            } catch (Exception e) {
                return true;
            }
        }
        

        return false;
    }
}
